Subject: [TR] TR8 Indicator Flasher Relay Update

From: "Jim Henningsen" <[email-masked]>
Date: Mon, 25 May 2020 12:43:25 -0400

List:
Regarding the fault on my left and right blinkers, I wanted to share that I
also ordered a CEC Flasher TF552/536 flasher on amazon for $5.82 and it
blinks perfectly.  No fast blink like some relays.  Amazon link below:

https://www.amazon.com/gp/product/B001DKJTVW/ref=ppx_yo_dt_b_asin_title_o03_
s00?ie=UTF8&psc=1

Will keep this in my spares spreadsheet database.

For all those who are veterans on the list, a BIG thank you for your
service!  Remembering all of our fallen who gave their lives for our great
country today.

Jim Henningsen
Ocala, FL

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive